Bug 779723 - (SOA-2085) jBPM JCA inflow needs to support JMSProviderAdapter
jBPM JCA inflow needs to support JMSProviderAdapter
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 GA
Unspecified Unspecified
high Severity high
: ---
: 5.0.2
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 06:48 EDT by Kevin Conner
Modified: 2010-07-12 14:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-12 14:06:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2085 None None None Never

  None (edit)
Description Kevin Conner 2010-05-14 06:48:30 EDT
Date of First Response: 2010-05-31 01:57:17
project_key: SOA
Comment 1 Kevin Conner 2010-05-14 06:48:47 EDT
Link: Added: This issue depends JBESB-3317
Comment 2 Kevin Conner 2010-05-14 07:05:25 EDT
Code has been changed in ESB codebase but still need a docs update.

The adapter can be initialised in JNDI by including something similar to the following MBean within jbpm-service.xml.

   <mbean code="org.jboss.jms.jndi.JMSProviderLoader" name="jboss.messaging:service=JMSProviderLoader,name=RemoteProviderLoader">
      <attribute name="ProviderName">RemoteProviderAdapter</attribute>
      <attribute name="ProviderAdapterClass">org.jboss.jms.jndi.JNDIProviderAdapter</attribute>
      <attribute name="QueueFactoryRef">XAQueueConnectionFactory</attribute>
      <attribute name="TopicFactoryRef">XATopicConnectionFactory</attribute>
      <attribute name="Properties">
         java.naming.provider.url=192.168.1.1:1099
      </attribute>
   </mbean>

This can then be referred to from within jbpm.cfg.xml and the inflow activation spec, for example the message configuration could be as follows (scheduler is similar)

    <service name="message">
      <factory>
        <bean class="org.jboss.soa.esb.services.jbpm.integration.msg.JmsMessageServiceFactory">
          <field name="providerAdapterJNDI"><string value="RemoteProviderAdapter"/></field>
        </bean>
     </factory>
    </service>
Comment 3 Dana Mison 2010-05-31 01:57:17 EDT
More information need for release notes:

JMSProviderAdapter is now supported by jBPM JCA inflow.

Needed: What is the usecase that this enables ?
Comment 4 Kevin Conner 2010-06-08 09:17:44 EDT
This allows the jBPM JCA inflow to be refer to JMS providers which are located in a JNDI context other than the current one, i.e. hosted on a remote system.
Comment 5 Dana Mison 2010-06-11 02:33:08 EDT
Added to the SOA 5.0.2 release notes as resolved:

JMSProviderAdapter is now supported by jBPM JCA inflow.  This allows the jBPM JCA inflow to be referred to by JMS providers which are located in a different JNDI context to the current one, such as on a different server.
Comment 6 David Le Sage 2010-06-15 20:58:45 EDT
Hello Kevin,

Has this been added to the community docs yet?  Please let me know and I will then add it to the product docs.

Thanks,

David
Comment 7 Kevin Conner 2010-07-08 07:00:20 EDT
The platform documents differ from the project documentation in this area.  The project Administration Guide will be modified to include the text as included within JBESB-3363.
Comment 8 David Le Sage 2010-07-08 20:12:27 EDT
This information has now been added to the product Administration Guide.  The Release Note has also been amended to point to it.

Note You need to log in before you can comment on or make changes to this bug.